#
# spec file for package nagios-rpm-macros
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2014 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nagios-rpm-macros
Summary:        RPM Macros for Nagios based packages
License:        BSD-3-Clause
Group:          System/Monitoring
Version:        0.11
Release:        1.2
Url:            http://en.opensuse.org/Nagios
Source0:        macros.nagios
Source1:        %{name}-README
Source2:        nagios-rpm-macros-COPYING
Source3:        macros.check_mk
Source4:        macros.pnp4nagios
Source5:        macros.nagiosgrapher
Source6:        macros.icinga
Source7:        macros.icinga2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides rpm macros for building packages for 
Nagios, check_mk and/or Icinga.


%prep
%{__cp} %{S:1} README
%{__cp} %{S:2} COPYING

%build

%install
install -Dm644 %{S:0} %{buildroot}%{_sysconfdir}/rpm/macros.nagios
cat %{S:3} >> %{buildroot}%{_sysconfdir}/rpm/macros.nagios
cat %{S:4} >> %{buildroot}%{_sysconfdir}/rpm/macros.nagios
cat %{S:5} >> %{buildroot}%{_sysconfdir}/rpm/macros.nagios
cat %{S:6} >> %{buildroot}%{_sysconfdir}/rpm/macros.nagios
cat %{S:7} >> %{buildroot}%{_sysconfdir}/rpm/macros.nagios

# make sure that _rundir is working on older systems
%if ! %{defined _rundir}
sed -i 's|%%{_rundir}|%%{_localstatedir}/run|' %{buildroot}%{_sysconfdir}/rpm/macros.nagios
%endif

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%doc COPYING README
%config %{_sysconfdir}/rpm/macros.nagios

%changelog
* Sat Dec 13 2014 lars@linux-schulserver.de
- update to 0.11:
  + added %%%%{livestatus_check_mk_checks_mandir} for man pages of
    additional check_mk checks
* Mon Jun 23 2014 thardeck@suse.com
- update to 0.10:
  + adapt icinga[2] macros to use /run instead of /var/run on modern systems
  + this change can easily be used for other macros, just use %%{_rundir} instead of "%%{_localstatedir}/run"
* Tue Apr 15 2014 lars@linux-schulserver.de
- update to 0.09:
  + added macros.icinga2
* Tue Sep 10 2013 lars@linux-schulserver.de
- adapt check_mk directories for icinga usage
* Wed Aug  7 2013 lars@linux-schulserver.de
- added new macros:
  + %%icinga_user_group_add
  + %%icinga_command_user_group_add
  to make it easier to have the same useradd/groupadd invocations
  in all packages
* Thu Apr 11 2013 obs@botter.cc
- add additional check_mk path (since 1.2.2) to macros.check_mk
  + %%livestatus_notificationsdir
* Wed Mar 13 2013 lars@linux-schulserver.de
- general update for 12.1, 12.2 and 12.3 for bnc#809180
* Sun Mar 10 2013 lars@linux-schulserver.de
- added icinga_tempdir and icinga_tempfile
* Tue Jan  1 2013 lars@linux-schulserver.de
  Update to 0.06:
- added new macros:
  + %%nagios_user_group_add
  + %%nagios_command_user_group_add
  to make it easier to have the same useradd/groupadd invocations
  in all packages
* Fri Aug 17 2012 thardeck@suse.com
- readded status.dat and retention.dat paths
* Tue May 29 2012 thardeck@suse.com
- added additional Icinga paths for Icinga 1.7
* Fri Feb 17 2012 thardeck@suse.com
- added additional Icinga paths
* Tue Feb  7 2012 lars@linux-schulserver.de
- added macros.icinga
* Wed Dec  7 2011 lars@linux-schulserver.de
- added macros.nagiosgrapher
* Tue Nov 29 2011 lars@linux-schulserver.de
- added %%pnp4nagios_libdir
* Sat Nov  5 2011 lars@linux-schulserver.de
- added first set of macros for check_mk aka livestatus
- added first set of macros for pnp4nagios
* Tue Nov  1 2011 lars@linux-schulserver.de
- added %%nagios_libdir
* Tue Nov  1 2011 lars@linux-schulserver.de
- add BSD like COPYING file to fix bnc#727044
* Fri Jul 29 2011 lars@linux-schulserver.de
- initial version for openSUSE
